/**
 * Create compiled comment.
 * @function _comment
 */

'use strict'

const pkg = require('../package.json')
const path = require('path')

/** @lends _comment */
function _comment (filename, Component) {
  let now = new Date().toLocaleDateString()
  return `/**
 * ${path.basename(filename)}
 * Precompiled style of ${Component.displayName || 'ApStyle'} component.
 *
 * Generated by ${pkg.name} on ${now}.
 */
`
}

module.exports = _comment
